org.apache.ignite.cache.store.jdbc

## Interface JdbcTypeHasher

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  JdbcTypeDefaultHasher

    public interface JdbcTypeHasher
    extends Serializable

API for implementing custom hashing logic for binary objects on server side.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `hashCode(Collection<?> values)` Calculate hash code for specified object and fields.

### Method Detail

#### hashCode

    int hashCode(Collection<?> values)

Calculate hash code for specified object and fields.

Parameters:
  `values` - Collection of values that should participate in hash code calculation.
Returns:
  Hash code.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018